searchData={"items":[{"type":"behaviour","title":"PhoenixSVG","doc":"Inline SVG component for Phoenix. Check out the [README](readme.html) to get started.","ref":"PhoenixSVG.html"},{"type":"behaviour","title":"Options - PhoenixSVG","doc":"* `:otp_app` - The name of your OTP application. This is required.\n\n  * `:as` - The name of the generated component function. Defaults to `:svg`.\n\n  * `:from` - The path of your svg files relative to your project directory. If using releases,\n  make sure this path is included in your release directory (`priv` is included by default).\n  Defaults to `priv/svgs`.\n\n  * `:attributes` - A keyword list of default attributes to inject into the SVG tags. Defaults\n  to `[]`.","ref":"PhoenixSVG.html#module-options"},{"type":"behaviour","title":"Example - PhoenixSVG","doc":"```elixir\nuse PhoenixSVG,\n  otp_app: :myapp,\n  as: :icon,\n  from: \"priv/static/icons\",\n  attributes: [width: \"24px\", height: \"24px\"]\n```\n\n```heex\n<.icon name=\"checkmark\" />\n```","ref":"PhoenixSVG.html#module-example"},{"type":"callback","title":"PhoenixSVG.svg/1","doc":"Renders an inline SVG using a cached file.","ref":"PhoenixSVG.html#c:svg/1"},{"type":"callback","title":"Attributes - PhoenixSVG.svg/1","doc":"* `:name` - The name of the svg file, excluding the `.svg` extension.\n\n  * `:path` - A list of nested paths if the file is not in the root.\n\nAny other attributes will be passed through to the SVG tag.","ref":"PhoenixSVG.html#c:svg/1-attributes"},{"type":"extras","title":"Phoenix SVG","doc":"# Phoenix SVG\n\n> ⚠️ Disclaimer: This package is not meant to be maintained ⚠️\n>\n> It is forked from https://github.com/jsonmaur/phoenix-svg just for compatibility purposes in order to be used with LiveView 1.0\n>\n> There is already a PR awaiting to be merged: https://github.com/jsonmaur/phoenix-svg/pull/4  \n> Once merged, this package will retire.\n---\n\nUse inline SVGs in Phoenix apps. This module will load the files during compilation so you don't have to worry about performance, handle refreshing the cache when the files change, inline the SVG tags into your templates, and includes support for defining custom attributes with defaults.","ref":"readme.html"},{"type":"extras","title":"Installation - Phoenix SVG","doc":"```elixir\ndef deps do\n  [\n    {:phoenix_svg_lv_1, \"~> 1.0\"}\n  ]\nend\n```\n\nThe recommended way to install into your Phoenix application is to create a file at `lib/myapp_web/svg.ex` (replacing `myapp` with the name of your app):\n\n```elixir\ndefmodule MyAppWeb.SVG do\n  use PhoenixSVG, otp_app: :myapp\nend\n```\n\nThis is so the files are only read and cached once. Then you can simply import `MyAppWeb.SVG` wherever you need to use the component. A good place to do this is in the `html_helpers` function in `lib/myapp_web.ex`:\n\n```elixir\ndefp html_helpers do\n  quote do\n    # ...\n\n    import MyAppWeb.SVG\n\n    # ...\n  end\nend\n```","ref":"readme.html#installation"},{"type":"extras","title":"Getting Started - Phoenix SVG","doc":"Now when you start your Phoenix server, all the SVG files located in `priv/svgs` will be loaded into memory and can be used with the svg component. For example, if you have a file at `priv/svgs/checkmark.svg`:\n\n```heex\n<.svg name=\"checkmark\" />\n```\n\nAn error will be raised if the file is not found. If your svgs are nested in a subdirectory, specify a list in the `path` attribute with one item representing each folder. e.g. for `priv/svgs/branding/circle/checkmark.svg`:\n\n```heex\n<.svg name=\"checkmark\" path={[\"branding\", \"circle\"]} />\n```\n\nAny attributes defined will be passed through to the ` ` tag:\n\n```heex\n<.svg name=\"checkmark\" class=\"foobar\" />\n```","ref":"readme.html#getting-started"},{"type":"extras","title":"Local Development - Phoenix SVG","doc":"If you add, remove, or change svg files while running `mix phx.server`, they will automatically be replaced in the cache and you don't have to restart for them to take effect. To live reload when an svg file changes, add to the patterns list of the Endpoint config in `config/dev.exs`:\n\n```elixir\nconfig :myapp, MyAppWeb.Endpoint,\n  live_reload: [\n    patterns: [\n      # ...\n      ~r\"priv/svgs/.*(svg)$\",\n      # ...\n    ]\n  ]\n```","ref":"readme.html#local-development"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.36.1"}}